# Interface $interface.name

Interface Index (Compact) | Summary #if $interface.docstring: | Description #if $interface.methods: | Methods #if $interface.signals: | Signals #if $interface.properties: | Properties #if $interface.tpproperties: | Telepathy Properties #if $interface.contact_attributes: | Contact Attributes #if $interface.handler_capability_tokens: | Handler Capability Tokens #if $interface.types: | Types
#if $interface.methods or $interface.signals or $interface.properties or $interface.types or $interface.tpproperties
#if $interface.methods

### Methods

#for $method in $interface.methods #if $method.deprecated
#else
#end if
$method.short_name | ($method.get_in_args()) | → | $method.get_out_args() | #if $method.deprecated: (deprecated)
#end for

#end if #if $interface.signals

### Signals

#for $signal in $interface.signals #if $signal.deprecated
#else
#end if
$signal.short_name | ($signal.get_args()) | #if $signal.deprecated: (deprecated)
#end for

#end if #if $interface.properties

### Properties

#for $property in $interface.properties #if $property.deprecated
#else
#end if
$property.short_name | $property.dbus_type #if $property.type: ($property.get_type().short_name) | $property.get_access() | #if $property.deprecated: (deprecated)
#end for

#end if #if $interface.tpproperties

### Telepathy Properties

#for $property in $interface.tpproperties
$property.short_name | $property.dbus_type #if $property.type: ($property.get_type().short_name)
#end for

#end if #if $interface.contact_attributes

### Contact Attributes

#for $token in $interface.contact_attributes
$token.name | $token.dbus_type #if $token.type: ($token.get_type().short_name)
#end for

#end if #if $interface.handler_capability_tokens

### Handler Capability Tokens

#for $token in $interface.handler_capability_tokens
$token.name #if $token.is_family (etc.) #end if |
#end for

#end if #if $interface.types

### Types

#for $type in $interface.types #if type.deprecated
#else
#end if
$type.short_name | $type.get_type_name() | $type.dbus_type | #if $type.deprecated: (deprecated)
#end for

#end if
#end if #if $interface.causes_havoc
WARNING: This interface is $interface.causes_havoc and is likely to cause havoc to your API/ABI if bindings are generated. Do not include this interface in libraries that care about compatibility.
#end if $interface.get_added() $interface.get_changed() $interface.get_deprecated() #if $interface.requires
Objects implementing this interface must also implement:

#for $req in $interface.get_requires()
- $req.name
#end for

#end if #if $interface.docstring

### Description

$interface.get_docstring() #end if #if $interface.methods

# Methods

#for $method in $interface.methods
(Permalink)

## $method.short_name ($method.get_in_args()) → $method.get_out_args()

$method.get_added() $method.get_changed() $method.get_deprecated() #if $method.in_args

### Parameters

#for $arg in $method.in_args
- $arg.short_name — $arg.dbus_type #if $arg.get_type(): ($arg.get_type().short_name)
$arg.get_added() $arg.get_changed() $arg.get_deprecated() $arg.get_docstring() #end for

#end if #if $method.out_args

### Returns

#for $arg in $method.out_args
- $arg.short_name — $arg.dbus_type #if $arg.get_type(): ($arg.get_type().short_name)
$arg.get_added() $arg.get_changed() $arg.get_deprecated() $arg.get_docstring() #end for

#end if $method.get_docstring() #if $method.possible_errors

### Possible Errors

#for $error in $method.possible_errors
- $error.get_error().short_name
$error.get_added() $error.get_changed() $error.get_deprecated() $error.get_docstring() #end for

#end if
#end for
#end if #if $interface.signals

# Signals

#for $signal in $interface.signals
(Permalink)

## $signal.short_name ($signal.get_args())

$signal.get_added() $signal.get_changed() $signal.get_deprecated() #if $signal.args

### Parameters

#for $arg in $signal.args
- $arg.short_name — $arg.dbus_type #if $arg.get_type(): ($arg.get_type().short_name)
$arg.get_added() $arg.get_changed() $arg.get_deprecated() $arg.get_docstring() #end for

#end if $signal.get_docstring()
#end for
#end if #if $interface.properties

# Properties

Accessed using the org.freedesktop.DBus.Properties interface.
#for $property in $interface.properties
(Permalink)

## $property.short_name — $property.dbus_type #if $property.type: ($property.get_type().short_name)

$property.get_access()
$property.get_added() $property.get_changed() $property.get_deprecated() $property.get_docstring()
#end for
#end if #if $interface.tpproperties

# Telepathy Properties

Accessed using the org.freedesktop.Telepathy.Properties interface.
#for $property in $interface.tpproperties
(Permalink)

## $property.short_name — $property.dbus_type #if $property.type: ($property.get_type().short_name)

$property.get_added() $property.get_changed() $property.get_deprecated() $property.get_docstring()
#end for
#end if #if $interface.contact_attributes

# Contact Attributes

Attributes that a contact can have, accessed with the org.freedesktop.Telepathy.Connection.Interface.Contacts interface.
#for $token in $interface.contact_attributes
(Permalink)

## $token.name — $token.dbus_type #if $token.type: ($token.get_type().short_name)

$token.get_added() $token.get_changed() $token.get_deprecated() $token.get_docstring()
#end for
#end if #if $interface.handler_capability_tokens

# Handler Capability Tokens

Tokens representing capabilities that a Client.Handler can have.
#for $token in $interface.handler_capability_tokens
(Permalink)

## $token.name #if $token.is_family (etc.) #end if

$token.get_added() $token.get_changed() $token.get_deprecated() $token.get_docstring()
#end for
#end if #if $interface.types

# Types

#for $type in $interface.types
$type.get_type_name() (Permalink)

## $type.short_name — $type.dbus_type

$type.get_added() $type.get_changed() $type.get_deprecated() $type.get_docstring() $type.get_breakdown()
#end for
#end if